package de.ivu.elect.business.gruppeimgebiet.entity;

import java.io.Serializable;

public class ReihenfolgeGruppeOption implements Serializable {

  private static final long serialVersionUID = 1L;

  private boolean untergeordneteGebiete = true;

  private boolean inGruppenReigenfolgeBringen = true; // ELECT-11262

  private boolean gruppenreihenfolgeVorgeben = false; // ELECT-11262

  public boolean isUntergeordneteGebiete() {
    return untergeordneteGebiete;
  }

  public void setUntergeordneteGebiete(boolean untergeordneteGebiete) {
    this.untergeordneteGebiete = untergeordneteGebiete;
  }

  @Override
  public String toString() {
    return "ReihenfolgeGruppeOption{" +
        "untergeordneteGebiete=" + untergeordneteGebiete +
        ", inGruppenReigenfolgeBringen=" + inGruppenReigenfolgeBringen +
        ", gruppenreihenfolgeVorgeben=" + gruppenreihenfolgeVorgeben +
        '}';
  }

  public boolean isInGruppenReigenfolgeBringen() {
    return inGruppenReigenfolgeBringen;
  }

  public void setInGruppenReigenfolgeBringen(boolean inGruppenReigenfolgeBringen) {
    this.inGruppenReigenfolgeBringen = inGruppenReigenfolgeBringen;
  }

  public boolean isGruppenreihenfolgeVorgeben() {
    return gruppenreihenfolgeVorgeben;
  }

  public void setGruppenreihenfolgeVorgeben(boolean gruppenreihenfolgeVorgeben) {
    this.gruppenreihenfolgeVorgeben = gruppenreihenfolgeVorgeben;
  }
}
